You can skip this in seconds

Click here to continue

ChangeSender 2.70

What's Required in Version 2.70 of ChangeSender

Windows XP, Vista, 7 or Windows Server 2000, 2003 or 2008, or Windows Server SBS 2011. Any Outlook

What's New in Version 2.70 of ChangeSender

Admin tool to define what email addresses the clients are allowed to select now works without ActiveDirectory connection

Look for Similar Items by Category


Popular Downloads